Update role
Updates an existing role by its unique identifier. Returns the updated role.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Path Parameters
id*string
The unique identifier of the role to update.
Format
uuidRequest Body
application/json
The updated role data.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v2/security/roles/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "permissions": {}, "isActive": true }'{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "type": "string", "allProjects": true, "projects": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ], "createdDate": "2019-08-24T14:15:22Z", "modifiedDate": "2019-08-24T14:15:22Z", "permissions": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "viewProject": true, "importProject": true, "updateProject": true, "deleteProject": true, "viewTask": true, "createTask": true, "editTask": true, "deleteTask": true, "runTask": true, "viewTaskStatus": true, "viewAllOndemandRequests": true, "viewUser": true, "createUser": true, "editUser": true, "deleteUser": true, "viewGroup": true, "createGroup": true, "editGroup": true, "deleteGroup": true, "viewUserDirectory": true, "createUserDirectory": true, "editUserDirectory": true, "deleteUserDirectory": true, "viewSystem": true, "createSystem": true, "editSystem": true, "deleteSystem": true, "viewSettings": true, "editSettings": true, "useApiKeys": true, "previewPublishedReport": true, "downloadPublishedReport": true, "subscribePublishedReport": true, "deletePublishedReport": true, "viewCondition": true, "createCondition": true, "editCondition": true, "deleteCondition": true, "enterprise": true, "createdDate": "2019-08-24T14:15:22Z", "modifiedDate": "2019-08-24T14:15:22Z" }, "isActive": true, "alterable": true }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}